#version 450
layout(location = 0) in vec2 vUV;
layout(std140, binding = 0) uniform Globals {
    mat4 uProj;
    vec4 uTint;
};
layout(binding = 1) uniform sampler2D uTex;
layout(location = 0) out vec4 FragColor;
void main() {
    vec4 t = texture(uTex, vUV);
    FragColor = vec4(t.rgb * uTint.rgb, t.a * uTint.a);
}
